<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetSetupPages Method (IEdmTaskProperties)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmTaskProperties Interface : GetSetupPages Method (IEdmTaskProperties)

Visual Basic
C#
C++/CLI

ppoPages
  Array of EdmTaskSetupPage structures; one structure for each setup page

Gets the setup pages added to the task property dialog box using IEdmTaskProperties::SetSetupPages.

# Syntax

Visual Basic |
--- | ---

    Sub GetSetupPages( _
       ByRef ppoPages() As EdmTaskSetupPage _
    )

C# |
--- | ---

    void GetSetupPages(
       out EdmTaskSetupPage[] ppoPages
    )

C++/CLI |
--- | ---

    void GetSetupPages(
    &   [Out] array<EdmTaskSetupPage>^ ppoPages
    )

#### Parameters

ppoPages
  Array of EdmTaskSetupPage structures; one structure for each setup page

# Remarks

Return codes:

- S_OK: The method successfully executed.

# See Also

####

IEdmTaskProperties Interface
IEdmTaskProperties Members
Task Add-in Sample

# Availability

SOLIDWORKS PDM Professional 2010